import { jsx } from "react/jsx-runtime";
import { TokenXEP as TokenXEP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXEP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "XEP", "data-name": "TokenXEP", ...props, children: /* @__PURE__ */ jsx(TokenXEP$1, { variant }) });
  }
);
TokenXEP.displayName = "TokenXEP";
Object.assign(TokenXEP, { isGdsIcon: true });
export {
  TokenXEP
};
